Name:           libgudev
Version:        238
Release:        1
Summary:        Library that provides GObject bindings for libudev
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgudev
Source0:        https://download.gnome.org/sources/libgudev/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel umockdev-devel  gobject-introspection-devel pkgconfig libudev-devel gtk-doc
BuildRequires:	meson glibc-langpack-fr
Provides:       libgudev1 = %{version}-%{release}
Obsoletes:      libgudev1 < 230

%description
Library provides GObject bindings for libudev. It used to be part
of udev, then merged into systemd. It's now a project on its own.

%package        devel
Summary:        Include files and Header files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       libgudev1-devel = %{version}-%{release}
Obsoletes:      libgudev1-devel < 230

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%meson -Dgtk_doc=true -Dtests=enabled -Dvapi=disabled
%meson_build

%install
%meson_install

%check

%meson_test

%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%license COPYING	
%{_libdir}/girepository-1.0/*
%{_libdir}/libgudev-1.0.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libgudev-1.0.so
%{_libdir}/pkgconfig/gudev-1.0.pc
%{_includedir}/gudev-1.0/gudev/*.h
%{_datadir}/gir-1.0/GUdev-1.0.gir

%files help
%doc NEWS
%dir %{_datadir}/gtk-doc/html/gudev
%{_datadir}/gtk-doc/html/gudev/*

%changelog
* Sat Jul 22 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 238-1
- update to 238

* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 237-2
- rebuild for next release

* Fri Dec 3 2021 xingxing <xingxing9@huawei.com> - 237-1
- update to 237

* Wed Jan 27 2021 hanhui <hanhui15@huawei.com> - 234-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 234

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 233-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:updtae to 233

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 232-7
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Thu Nov 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 232-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 232-5
- Package init

